package com.yh.saas.plugin.news.exception;

import lombok.Getter;

/**
 * 管理后台错误码
 * 
 * @author SunTianjun
 *
 */
public enum EnterpriseErrorCodeEnums {

	//公告模块-不是创建人不允许删除
	ANNOUNCEMENT_NOT_ISSUE_USER_ID("ANNOUNCEMENT-001", "你不是这条公告的创建人!"),

	//公告模块-不允许相同名字的
	ANNOUNCEMENT_NOT_NAME("ANNOUNCEMENT-002", "不允许相同名字!"),
	
	;

	@Getter
	private String value;

	@Getter
	private String desc;

	private EnterpriseErrorCodeEnums(String value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	@Override
	public String toString() {
		return "[" + this.value + "]" + this.desc;
	}
}
